2019-10-17 00:35 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001117FSSCPmultiplayerpublic2007-10-17 21:27
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001117: Rank award repeats in debrief
DescriptionJust made LJG today for about the 7th time (I know hold your applause). The first few weren't updated because of stats tossed or crashes. Today the stats did save the first time. Then I made it through another mission and guess what. LJG awarded again and stats saved.
Additional Information3.6.9 RC7dot8 debug mode. Can't reproduce (at least until next promotion or I create a new pilot and get someone to fly a few RIs with). Not a big deal. Also noticed there are no ace medals. Noticed report 544 showed this in single. Again no big deal wouldn't even have missed them if the LJG had not come up.
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001128resolvedtaylor Stats reset to previous values between missions. 
has duplicate 0001336resolvedtaylor Multiplayer stats not storing 
+Relationships

-Notes

~0007028

FUBAR-BDHR (developer)

This just happend with ace award but a little different. Got the award, played a mission and didn't, played another and got it again. All 3 were valid and stats saved. Only thing I can think of is I had 10 kills when first awarded, 3 or 4 next time and 31 on the third mission. Going to try to see if it happens again.

~0007030

FUBAR-BDHR (developer)

Uploaded same screenshots from 1128 just in case you stopped here first. I think the cause of the rank and ace medals being awarded over and over has to do with stats not being updated locally. Basically I had 66 kills before mission where I receive ace. Had 10 kills in that mission for a total of 76. Next time I was bomber and only had a couple of kills. Next I had 31 kills (66+31=97) which gave me that award again. Next Mission in (first pic) I only had 6 kills (66+6=72) not enough for award. Next I had 13 kills (pics 2 and 3). Award given again for 3rd time. Next I just had host start mission and jump for 0 kills. Back to 66 total and no award. May be two seperate bugs may be one causing the other.

~0008566

taylor (administrator)

I think that this should be fixed in current builds, so double-check that and get back to me. This build should no longer have the problem (I don't think):
http://www.hard-light.net/forums/index.php/topic,49939.0.html

~0008575

taylor (administrator)

This should be fixed, but reopen if you can replicate on a newer build.
+Notes

-Issue History
Date Modified Username Field Change
2006-10-17 16:29 FUBAR-BDHR New Issue
2006-10-27 20:10 FUBAR-BDHR Note Added: 0007028
2006-10-27 21:01 FUBAR-BDHR File Added: media-10-27-06b1.jpg
2006-10-27 21:01 FUBAR-BDHR File Added: media-10-27-06b2.jpg
2006-10-27 21:01 FUBAR-BDHR File Added: media-10-27-06b3.jpg
2006-10-27 21:01 FUBAR-BDHR File Added: media-10-27-06b4.jpg
2006-10-27 21:07 FUBAR-BDHR Note Added: 0007030
2007-04-02 03:58 taylor Relationship added has duplicate 0001128
2007-04-02 03:59 taylor Relationship added has duplicate 0001336
2007-10-15 07:13 taylor Note Added: 0008566
2007-10-17 21:27 taylor Status assigned => resolved
2007-10-17 21:27 taylor Fixed in Version => 3.6.10
2007-10-17 21:27 taylor Resolution open => fixed
2007-10-17 21:27 taylor Note Added: 0008575
+Issue History